| Home | Libraries | People | FAQ | More

## Function template operator&&

boost::algorithm::operator&& — predicate 'and' composition predicate

## Synopsis

    // In header: <boost/algorithm/string/classification.hpp>

    template<typename Pred1T, typename Pred2T>
      unspecified operator&&(const predicate_facade< Pred1T > & Pred1,
                             const predicate_facade< Pred2T > & Pred2);

## Description

Construct the `class_and` predicate. This predicate can be used to logically combine two classification predicates. `class_and` holds, if both predicates return true.

Parameters: |
`Pred1` | The first predicate
`Pred2` | The second predicate
Returns: | An instance of the `class_and` predicate